GDCM 3.2.1

Public Member Functions | Static Public Member Functions | Friends | List of all members
gdcm::Version Class Reference

major/minor and build version More...

`#include <gdcmVersion.h>`

## Public Member Functions
| Version ()=default
| ~Version ()=default
void | Print (std::ostream &os=std::cout) const

## Static Public Member Functions
static int | GetBuildVersion ()
static int | GetMajorVersion ()
static int | GetMinorVersion ()
static const char * | GetVersion ()

## Friends
std::ostream & | operator<< (std::ostream &_os, const Version &v)

## Detailed Description

major/minor and build version

## Constructor & Destructor Documentation

## ◆ Version()

gdcm::Version::Version | ( |  | ) |
| default

Referenced by operator<<.

## ◆ ~Version()

gdcm::Version::~Version | ( |  | ) |
| default

## Member Function Documentation

## ◆ GetBuildVersion()

int gdcm::Version::GetBuildVersion | ( |  | ) |
| static

## ◆ GetMajorVersion()

int gdcm::Version::GetMajorVersion | ( |  | ) |
| static

## ◆ GetMinorVersion()

int gdcm::Version::GetMinorVersion | ( |  | ) |
| static

## ◆ GetVersion()

const char * gdcm::Version::GetVersion | ( |  | ) |
| static

## ◆ Print()

void gdcm::Version::Print | ( | std::ostream & | os = std::cout | ) | const

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const Version & | v )
| friend

References Version(), and Print().

The documentation for this class was generated from the following file:

- gdcmVersion.h